{{- if .Values.haproxy.enabled }}
{{- if and .Values.haproxy.serviceAccount.create .Values.rbac.create }}
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ template "redis-ha.fullname" . }}-haproxy
  namespace: {{ .Release.Namespace | quote }}
  labels:
{{ include "labels.standard" . | indent 4 }}
    component: {{ template "redis-ha.fullname" . }}-haproxy
rules:
- apiGroups:
    - ""
  resources:
    - endpoints
  verbs:
    - get
{{- if .Values.haproxy.podSecurityPolicy.create }}
- apiGroups:
    - 'policy'
  resources:
    - 'podsecuritypolicies'
  verbs:
    - 'use'
  resourceNames:
    - {{ template "redis-ha.fullname" . }}-haproxy
{{- end }}
{{- end }}
{{- end }}
